TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TIBCO.EMS.LdapLookupSSLParams Class Reference

Provides the query client certificate callback and the server verify callback used to establish an SSL connection to the LDAP server (ldaps). More...

## Public Member Functions
| LdapLookupSSLParams ()
| default constructor for creating an object of this type, that will allow one to set a query client certificate callback and ssl server certificate verify callback. More...
void | SetSSLQueryClientCertificateCallback (QueryClientCertificateCallback cb)
| Set the query client certificate callback to be invoked during the SSL handshake with the LDAP server. More...
void | SetSSLVerifyServerCertificateCallback (VerifyServerCertificateCallback cb)
| Set the server certificate verify callback to be invoked during the SSL handshake with the ldap server. More...

## Detailed Description

Provides the query client certificate callback and the server verify callback used to establish an SSL connection to the LDAP server (ldaps).

The parameters set by this object are optional. The client may choose to either specify the store location along with the store name and certificate name, or optionally the query client certificate callback.

## Constructor & Destructor Documentation

TIBCO.EMS.LdapLookupSSLParams.LdapLookupSSLParams | ( |  | ) |
| inline

default constructor for creating an object of this type, that will allow one to set a query client certificate callback and ssl server certificate verify callback.

## Member Function Documentation

void TIBCO.EMS.LdapLookupSSLParams.SetSSLQueryClientCertificateCallback | ( | QueryClientCertificateCallback | cb | ) |
| inline

Set the query client certificate callback to be invoked during the SSL handshake with the LDAP server.

A query client certificate callback that gets invoked during the SSL handshake with the ldap server, allowing the user to specify a client certificate to be used for ssl handshake.

Parameters

  cb | The query client certificate callback.

void TIBCO.EMS.LdapLookupSSLParams.SetSSLVerifyServerCertificateCallback | ( | VerifyServerCertificateCallback | cb | ) |
| inline

Set the server certificate verify callback to be invoked during the SSL handshake with the ldap server.

A server certificate verify callback if set gets invoked during the SSL handshake with the ldap server. If this is not specified then the client will trust any server.

Parameters

  cb | The server certificate verify callback.